package cn.timer.api.bean.jxgl;

import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-05-27
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("考核")
public class JxglAppraisal extends Model<JxglAppraisal> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号 编号", example = "10")
	private Integer id;

	@ApiModelProperty(value = "绩效考核id 绩效考核id", example = "10")
	private Integer performanceAppraisalId;

	@ApiModelProperty(value = "员工id 员工id", example = "10")
	private Integer empNum;

	@ApiModelProperty(value = "名称", example = "名称")
	private String name;

	@ApiModelProperty(value = "考核说明", example = "考核说明")
	
	private String appraisalExplain;
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间", example = "2020-10-10 10:10:10")
	private Date createTime;
	
	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value = "更新时间", example = "2020-10-10 10:10:10")
	private Date updateTime;

	@ApiModelProperty(value = "状态 0目标填写 1目标确认 2自评 3上级评分 4 结果确认 5考核完成 6终止考核 7归档", example = "0")
	private Integer sts;
	
	// 已归档绩效
	@TableField(exist = false)
	private Integer archivedPNum;
	
	// 进行中绩效
	@TableField(exist = false)
	private Integer underwayPNum;
	
	// 最近绩效方案
	@TableField(exist = false)
	private String recentlyProject;
	
	// 最近绩效评分
	@TableField(exist = false)
	private Double recentlyScore;
	
	// 最近绩效等级
	@TableField(exist = false)
	private String recentlyLevel;
	
	@TableField(exist = false)
	private String userName;
	@TableField(exist = false)
	private String phone;
	@TableField(exist = false)
	private String bmName;
	@TableField(exist = false)
	private Date rzTime;
	
	
	@TableField(exist = false)
	private String executorName;
	@TableField(exist = false)
	private Double comprehensiveScore;
	@TableField(exist = false)
	private String level;
	@TableField(exist = false)
	private String confirmor;
	
}