package cn.timer.api.bean.jxgl;

import java.util.Date;
import java.util.List;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Transient;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-05-26
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("考核模板")
public class JxglAppraisalT extends Model<JxglAppraisalT> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)

	@ApiModelProperty(value = "编号 编号", example = "10")
	private Integer id;

	@ApiModelProperty(value = "企业id 企业id", example = "10")
	private Integer orgCode;

	@ApiModelProperty(value = "名称", example = "名称")
	private String name;

	@ApiModelProperty(value = "考核说明", example = "考核说明")
	private String appraisalExplain;
	
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间", example = "2020-10-10 10:10:10")
	private Date createTime;
	
	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value = "更新时间", example = "2020-10-10 10:10:10")
	private Date updateTime;
	
	@TableField(exist = false) // 是否转换
	@ApiModelProperty(value = "考核指标模板", example = "")
	private List<JxglAppraisalIndicatorsT> appraisalIndicatorsTs;
}